org.fourthline.cling.binding.xml

## Enum Descriptor.Device.ELEMENT

- java.lang.Object
- - java.lang.Enum<Descriptor.Device.ELEMENT>
  - - org.fourthline.cling.binding.xml.Descriptor.Device.ELEMENT

- All Implemented Interfaces:
    Serializable, Comparable<Descriptor.Device.ELEMENT>
  Enclosing interface:
    Descriptor.Device

      public static enum Descriptor.Device.ELEMENT
      extends Enum<Descriptor.Device.ELEMENT>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `controlURL`
    `depth`
    `device`
    `deviceList`
    `deviceType`
    `eventSubURL`
    `friendlyName`
    `height`
    `icon`
    `iconList`
    `major`
    `manufacturer`
    `manufacturerURL`
    `mimetype`
    `minor`
    `modelDescription`
    `modelName`
    `modelNumber`
    `modelURL`
    `presentationURL`
    `ProductCap`
    `root`
    `SCPDURL`
    `serialNumber`
    `service`
    `serviceId`
    `serviceList`
    `serviceType`
    `specVersion`
    `UDN`
    `UPC`
    `url`
    `URLBase`
    `width`
    `X_DLNACAP`
    `X_DLNADOC`
    `X_ProductCap`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Node node)`
    `static Descriptor.Device.ELEMENT` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Descriptor.Device.ELEMENT` | `valueOrNullOf(String s)`
    `static Descriptor.Device.ELEMENT[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### root

          public static final Descriptor.Device.ELEMENT root

    - #### specVersion

          public static final Descriptor.Device.ELEMENT specVersion

    - #### major

          public static final Descriptor.Device.ELEMENT major

    - #### minor

          public static final Descriptor.Device.ELEMENT minor

    - #### URLBase

          public static final Descriptor.Device.ELEMENT URLBase

    - #### device

          public static final Descriptor.Device.ELEMENT device

    - #### UDN

          public static final Descriptor.Device.ELEMENT UDN

    - #### X_DLNADOC

          public static final Descriptor.Device.ELEMENT X_DLNADOC

    - #### X_DLNACAP

          public static final Descriptor.Device.ELEMENT X_DLNACAP

    - #### ProductCap

          public static final Descriptor.Device.ELEMENT ProductCap

    - #### X_ProductCap

          public static final Descriptor.Device.ELEMENT X_ProductCap

    - #### deviceType

          public static final Descriptor.Device.ELEMENT deviceType

    - #### friendlyName

          public static final Descriptor.Device.ELEMENT friendlyName

    - #### manufacturer

          public static final Descriptor.Device.ELEMENT manufacturer

    - #### manufacturerURL

          public static final Descriptor.Device.ELEMENT manufacturerURL

    - #### modelDescription

          public static final Descriptor.Device.ELEMENT modelDescription

    - #### modelName

          public static final Descriptor.Device.ELEMENT modelName

    - #### modelNumber

          public static final Descriptor.Device.ELEMENT modelNumber

    - #### modelURL

          public static final Descriptor.Device.ELEMENT modelURL

    - #### presentationURL

          public static final Descriptor.Device.ELEMENT presentationURL

    - #### UPC

          public static final Descriptor.Device.ELEMENT UPC

    - #### serialNumber

          public static final Descriptor.Device.ELEMENT serialNumber

    - #### iconList

          public static final Descriptor.Device.ELEMENT iconList

    - #### icon

          public static final Descriptor.Device.ELEMENT icon

    - #### width

          public static final Descriptor.Device.ELEMENT width

    - #### height

          public static final Descriptor.Device.ELEMENT height

    - #### depth

          public static final Descriptor.Device.ELEMENT depth

    - #### url

          public static final Descriptor.Device.ELEMENT url

    - #### mimetype

          public static final Descriptor.Device.ELEMENT mimetype

    - #### serviceList

          public static final Descriptor.Device.ELEMENT serviceList

    - #### service

          public static final Descriptor.Device.ELEMENT service

    - #### serviceType

          public static final Descriptor.Device.ELEMENT serviceType

    - #### serviceId

          public static final Descriptor.Device.ELEMENT serviceId

    - #### SCPDURL

          public static final Descriptor.Device.ELEMENT SCPDURL

    - #### controlURL

          public static final Descriptor.Device.ELEMENT controlURL

    - #### eventSubURL

          public static final Descriptor.Device.ELEMENT eventSubURL

    - #### deviceList

          public static final Descriptor.Device.ELEMENT deviceList

  - ### Method Detail

    - #### values

          public static Descriptor.Device.ELEMENT[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Descriptor.Device.ELEMENT c : Descriptor.Device.ELEMENT.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Descriptor.Device.ELEMENT valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### valueOrNullOf

          public static Descriptor.Device.ELEMENT valueOrNullOf(String s)

    - #### equals

          public boolean equals(Node node)

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.